# QImageReader Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QImageReader()
- void QImageReader(QIODevice device, QByteArray format)
- void QImageReader(String fileName, QByteArray format)

### Constructor Properties

- prototype: The QImageReader prototype object
- QByteArray imageFormat(QIODevice device)
- List supportedImageFormats()
- UnknownError
- FileNotFoundError
- DeviceError
- UnsupportedFormatError
- InvalidDataError
- ImageReaderError( value )

### Prototype Object Properties

- bool autoDetectImageFormat()
- QColor backgroundColor()
- bool canRead()
- QRect clipRect()
- int currentImageNumber()
- QRect currentImageRect()
- bool decideFormatFromContent()
- QIODevice device()
- ImageReaderError error()
- String errorString()
- String fileName()
- QByteArray format()
- int imageCount()
- Format imageFormat()
- bool jumpToImage(int imageNumber)
- bool jumpToNextImage()
- int loopCount()
- int nextImageDelay()
- int quality()
- QImage read()
- QRect scaledClipRect()
- QSize scaledSize()
- void setAutoDetectImageFormat(bool enabled)
- void setBackgroundColor(QColor color)
- void setClipRect(QRect rect)
- void setDecideFormatFromContent(bool ignored)
- void setDevice(QIODevice device)
- void setFileName(String fileName)
- void setFormat(QByteArray format)
- void setQuality(int quality)
- void setScaledClipRect(QRect rect)
- void setScaledSize(QSize size)
- QSize size()
- bool supportsAnimation()
- bool supportsOption(ImageOption option)
- String text(String key)
- List textKeys()

### Instance Properties

QImageReader objects have no special properties beyond those inherited from the QImageReader prototype object.